use utf8;
my %uniblock = (
	0x000, '<td colspan="2" class="X Cc" style="border-right:none">control',
	0x002, '<td colspan="2" class="X L Po" style="border-left:none; border-right:none">comn',
	0x004, '<td colspan="4" class="X L Latin" style="border-left:none">basic latin',
	0x008, '<td colspan="2" class="X Cc" style="border-right:none">control',
	0x00A, '<td colspan="2" class="X L So" style="border-left:none; border-right:none">comn',
	0x00C, '<td colspan="4" class="X L Latin" style="border-left:none">latin1',
	0x010, '<td colspan="8" class="X L Latin">latin extended-A',
	0x018, '<td colspan="8" class="X L Latin">latin extended-B',
	0x020, '<td colspan="5" class="X L Latin">latin ext-B',
	0x025, '<td colspan="6" class="X L Latin">IPA',
	0x02B, '<td colspan="5" class="X Sk">spacing modifier',
	0x030, '<td colspan="8" class="X Mn">diacritics',
	0x038, '<td colspan="8" class="X L Greek">greek',
	0x040, '<td colspan="16" class="X L Cyrillic">cyrillic',
	0x050, '<td colspan="3" class="X L Cyrillic">cyrillic+',
	0x053, '<td colspan="5" class="X L Armenian">armenian',
	0x058, '<td colspan="8" class="X L Hebrew">hebrew',
	0x060, '<td colspan="16" class="X L Arabic">arabic',
	0x070, '<td colspan="5" class="X L Aramaic">syriac',
	0x075, '<td colspan="3" class="X L Arabic">arabic+',
	0x078, '<td colspan="4" class="X L African">thaana',
	0x07C, '<td colspan="4" class="X L African">n\'ko',
	0x080, '<td colspan="4" class="X L Hebrew">samaritan',
	0x084, '<td colspan="2" class="X L Aramaic">manda',
	0x086, '<td colspan="4" class="">reserved',
	0x08A, '<td colspan="6" class="X L Arabic">arabic ext-A',
	0x090, '<td colspan="8" class="X L Brahmic">devanagari',
	0x098, '<td colspan="8" class="X L Brahmic">bengali',
	0x0A0, '<td colspan="8" class="X L Brahmic">gurmukhi',
	0x0A8, '<td colspan="8" class="X L Brahmic">gujarati',
	0x0B0, '<td colspan="8" class="X L Brahmic">oriya',
	0x0B8, '<td colspan="8" class="X L Brahmic">tamil',
	0x0C0, '<td colspan="8" class="X L Brahmic">telugu',
	0x0C8, '<td colspan="8" class="X L Brahmic">kannada',
	0x0D0, '<td colspan="8" class="X L Brahmic">malayalam',
	0x0D8, '<td colspan="8" class="X L Brahmic">sinhala',
	0x0E0, '<td colspan="8" class="X L Brahmic Khmer">thai',
	0x0E8, '<td colspan="8" class="X L Brahmic Khmer">lao',
	0x0F0, '<td colspan="16" class="X L Brahmic">tibetan',
	0x100, '<td colspan="10" class="X L Brahmic">myanmar',
	0x10A, '<td colspan="6" class="X L Aramaic">georgian',
	0x110, '<td colspan="16" class="X L Hangul">hangeul jamo',
	0x120, '<td colspan="16" class="X L African">ethiopic',
	0x130, '<td colspan="8" class="X L African">ethiopic',
	0x138, '<td colspan="2" class="X L African">eth+',
	0x13A, '<td colspan="6" class="X L Syllabic">cherokee',
	0x140, '<td colspan="16" rowspan="2" class="X L Syllabic">unified canadian aboriginal syllabics',
	0x160, '<td colspan="8" class="X L Syllabic">unified canadian syllabics',
	0x168, '<td colspan="2" class="X L Alpha">ogham',
	0x16A, '<td colspan="6" class="X L Alpha">runic',
	0x170, '<td colspan="2" class="X L Brahmic">tagalog',
	0x172, '<td colspan="2" class="X L Brahmic">hanun',
	0x174, '<td colspan="2" class="X L Brahmic">buhid',
	0x176, '<td colspan="2" class="X L Brahmic" title="tagbanwa">tagb',
	0x178, '<td colspan="8" class="X L Brahmic Khmer">khmer',
	0x180, '<td colspan="11" class="X L Aramaic">mongolian',
	0x18B, '<td colspan="5" class="X L Syllabic">canadian+',
	0x190, '<td colspan="5" class="X L Brahmic">limbu',
	0x195, '<td colspan="3" class="X L Brahmic">tai le',
	0x198, '<td colspan="6" class="X L Brahmic">new tai lue',
	0x19E, '<td colspan="2" class="X L Brahmic Khmer" title="khmer symbols">khmer',
	0x1A0, '<td colspan="2" class="X L Brahmic">lontara',
	0x1A2, '<td colspan="9" class="X L Brahmic">tai tham',
	0x1AB, '<td colspan="5" class="X Mn">diacritics+',
	0x1B0, '<td colspan="8" class="X L Brahmic">balinese',
	0x1B8, '<td colspan="4" class="X L Brahmic">sundanese',
	0x1BC, '<td colspan="4" class="X L Brahmic">batak',
	0x1C0, '<td colspan="5" class="X L Brahmic">lepcha',
	0x1C5, '<td colspan="3" class="X L Alpha">ol chiki',
	0x1C8, '<td colspan="1" class="X Xr L Cyrillic">cyr',
	0x1C9, '<td colspan="3" class="">reserved',
	0x1CC, '<td colspan="1" class="X L Brahmic">sn',
	0x1CD, '<td colspan="3" class="X L Brahmic">vedic',
	0x1D0, '<td colspan="8" class="X L Latin">phonetic',
	0x1D8, '<td colspan="4" class="X L Latin">phonetic+',
	0x1DC, '<td colspan="4" class="X Mn">diacritics+',
	0x1E0, '<td colspan="16" class="X L Latin">latin extended additional',
	0x1F0, '<td colspan="16" class="X L Greek">greek+',
	0x200, '<td colspan="7" class="X Po">general punctuation',
	0x207, '<td colspan="3" class="X L Latin">suþscript', # suth now means "sub and/or sup"
	0x20A, '<td colspan="3" class="X Sc">currency',
	0x20D, '<td colspan="3" class="X Mn">overlay',
	0x210, '<td colspan="5" class="X So">letterlike',
	0x215, '<td colspan="4" class="X Latin">number',
	0x219, '<td colspan="7" class="X So">arrows',
	0x220, '<td colspan="16" class="X Sm">mathematical symbols',
	0x230, '<td colspan="16" class="X So">miscellaneous technical',
	0x240, '<td colspan="4" class="X So">control',
	0x244, '<td colspan="2" class="X So">OCR',
	0x246, '<td colspan="10" class="X Latin">enclosed alphanumerics',
	0x250, '<td colspan="8" class="X So">box drawing',
	0x258, '<td colspan="2" class="X So">blocks',
	0x25A, '<td colspan="6" class="X So">geometric shapes',
	0x260, '<td colspan="16" class="X So">miscellaneous symbols',
	0x270, '<td colspan="12" class="X So">dingbats',
	0x27C, '<td colspan="3" class="X Sm">maths-A',
	0x27F, '<td colspan="1" class="X So" title="supplemental arrows-A">arr',
	0x280, '<td colspan="16" class="X L Alpha">braille',
	0x290, '<td colspan="8" class="X So">supplemental arrows-B',
	0x298, '<td colspan="8" class="X Sm">mathematical symbols-B',
	0x2A0, '<td colspan="16" class="X Sm">supplemental mathematical operators',
	0x2B0, '<td colspan="16" class="X So">miscellaneous symbols and arrows',
	0x2C0, '<td colspan="6" class="X L Cyrillic">glagolitic',
	0x2C6, '<td colspan="2" class="X L Latin">latin-C',
	0x2C8, '<td colspan="8" class="X L Greek">coptic',
	0x2D0, '<td colspan="3" class="X L Aramaic">georgian+',
	0x2D3, '<td colspan="5" class="X L Alpha">tifinagh', #TODO: proto-canaanite
	0x2D8, '<td colspan="6" class="X L African">ethiopic+',
	0x2DE, '<td colspan="2" class="X L Cyrillic">cyrl-A',
	0x2E0, '<td colspan="8" class="X Po">punctuation+',
	0x2E8, '<td colspan="8" class="X L Han">cjk radicals',
	0x2F0, '<td colspan="14" class="X L Han">kangxi radicals',
	0x2FE, '<td colspan="1" class="">',
	0x2FF, '<td colspan="1" class="X So Han">idc',
	0x300, '<td colspan="4" class="X Po Han">cjk misc',
	0x304, '<td colspan="6" class="X L Hiragana">hiragana',
	0x30A, '<td colspan="6" class="X L Katakana">katakana',
	0x310, '<td colspan="3" class="X L Bopomofo">bopomofo',
	0x313, '<td colspan="6" class="X L Katakana">hangeul compat',
	0x319, '<td colspan="1" class="X L Han" title="kanbun">kbn',
	0x31A, '<td colspan="2" class="X L Bopomofo" title="bopomofo extended">bpmf',
	0x31C, '<td colspan="3" class="X L Han" title="CJK strokes">strokes',
	0x31F, '<td colspan="1" class="X L Katakana" title="katakana phonetic extensions">k+',
	0x320, '<td colspan="16" class="X L Han">enclosed cjk characters',
	0x330, '<td colspan="16" class="X Xd L Han">cjk compatibility',
	0x340, '<td colspan="16" rowspan="25" class="X L Han">cjk unified ideographs extension A',
	0x4D0, '<td colspan="12" class="X L Han" style="border-top:none">cjk unified ideographs extension A',
	0x4DC, '<td colspan="4" class="X So">hexagrams',
	0x4E0, '<td colspan="16" rowspan="82" class="X L Han">cjk unified ideographs',
	0xA00, '<td colspan="16" rowspan="4" class="X L Syllabic">yi',
	0xA40, '<td colspan="9" class="X L Syllabic" style="border-top:none">yi',
	0xA49, '<td colspan="4" class="X L Syllabic">yi radicals',
	0xA4D, '<td colspan="3" class="X L Latin">lisu',
	0xA50, '<td colspan="16" class="X L Syllabic">vai',
	0xA60, '<td colspan="4" class="X L Syllabic" style="border-top:none">vai',
	0xA64, '<td colspan="6" class="X L Cyrillic">cyrillic extended-B',
	0xA6A, '<td colspan="6" class="X L Syllabic">bamum',
	0xA70, '<td colspan="2" class="X L Mn">tones',
	0xA72, '<td colspan="14" class="X L Latin">latin extended-D',
	0xA80, '<td colspan="3" class="X L Brahmic">sylheti',
	0xA83, '<td colspan="1" class="X No">in',
	0xA84, '<td colspan="4" class="X L Brahmic">phags-pa',
	0xA88, '<td colspan="6" class="X L Brahmic">saurashtra',
	0xA8E, '<td colspan="2" class="X L Brahmic">deva+',
	0xA90, '<td colspan="3" class="X L Brahmic">kayah li',
	0xA93, '<td colspan="3" class="X L Brahmic">rejang',
	0xA96, '<td colspan="2" class="X L Hangul">jamo-A',
	0xA98, '<td colspan="6" class="X L Brahmic">javanese',
	0xA9E, '<td colspan="2" class="X L Brahmic" title="myanmar extended-B">mm-B',
	0xAA0, '<td colspan="6" class="X L Brahmic">cham',
	0xAA6, '<td colspan="2" class="X L Brahmic" title="myanmar extended-A">mm-A',
	0xAA8, '<td colspan="6" class="X L Brahmic Khmer">tai viet',
	0xAAE, '<td colspan="2" class="X L Brahmic" title="meetei mayek extended">mtei+',
	0xAB0, '<td colspan="3" class="X L African">ethiopic-A',
	0xAB3, '<td colspan="4" class="X L Latin">latin ext-E',
	0xAB7, '<td colspan="5" class="X Xr L Syllabic">cherokee+',
	0xABC, '<td colspan="4" class="X L Brahmic" title="meetai mayek">meithei',
	0xAC0, '<td colspan="16" rowspan="43" class="X L Hangul">hangeul syllables',
	0xD70, '<td colspan="11" class="X L Hangul" style="border-top:none">hangeul syllables',
	0xD7B, '<td colspan="5" class="X L Hangul">haungeul jamo-B',
	0xD80, '<td colspan="16" rowspan="4" class="X Cs">high surrogates',
	0xDC0, '<td colspan="16" rowspan="4" class="X Cs">low surrogates',
	0xE00, '<td colspan="16" rowspan="25" class="X Co">private use',
	0xF90, '<td colspan="16" rowspan="2" class="X L Han">cjk compatibility ideographs',
	0xFB0, '<td colspan="5" class="X Xd L Alpha">presentation',
	0xFB5, '<td colspan="11" class="X Xd L Arabic" style="border-bottom:none">',
	0xFC0, '<td colspan="16" class="X Xd L Arabic" style="border-top:none; border-bottom:none">arabic presentation forms A',
	0xFD0, '<td colspan="13" class="X Xd L Arabic" style="border-top:none">',
	0xFDD, '<td colspan="2" class="Xi">?',
	0xFDF, '<td colspan="1" class="X Xd L Arabic" style="border-top:none">',
	0xFE0, '<td colspan="1" class="X Cc">var',
	0xFE1, '<td colspan="1" class="X L Pd">ver',
	0xFE2, '<td colspan="1" class="X L Mn">½',
	0xFE3, '<td colspan="2" class="X Xd Pd Han">comp',
	0xFE5, '<td colspan="2" class="X Xd L Latin">small',
	0xFE7, '<td colspan="9" class="X Xd L Arabic">arabic presentation B',
	0xFF0, '<td colspan="15" class="X L Latin">halfwidth &amp; fullwidth forms',
	0xFFF, '<td colspan="1" class="X Cc">sp',
);

sub {
	return defined $uniblock{$_[0]} ? $uniblock{$_[0]} : ();
}

